Subject: bug#14780: Regression: C-n doesn't go to next line under simple circumstances

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jul 2013 23:30:29 +0300

> Date: Fri, 19 Jul 2013 15:53:35 -0400
> From: Barry OReilly <[email-masked]>
> 
> Use this /tmp/cant-next-line.el to automate a little more.
> 
> (tool-bar-mode 0)
> (global-whitespace-mode 1)
> (set-face-attribute 'default nil :height 80)
> (setq scroll-margin 4)
> (setq scroll-conservatively 101)
> (add-hook 'emacs-startup-hook (lambda ()
>                                 (re-search-forward "here")
>                                 (trace-redisplay)
>                                 ;; Doesn't reproduce it, have to C-n manually
>                                 ;; (run-at-time "1 sec" 1 (lambda ()
>                                 ;;
> (call-interactively 'next-line)))
>                                 ))
> 
> Reproduction won't happen if you:
>   - resize the window
>   - use M-x next-line instead of C-n
>   - press and hold C-n
>   - navigate in ways other than prescribed
> 
> I can see it everytime I follow the recipe.
> 
> Here is the trace-redisplay resulting from:
>   ./src/emacs -r -Q --load /tmp/cant-next-line.el /tmp/cant-next-line.txt

I get 'Search failed: "here"'.

Are you using a recent trunk?  I'm using today's trunk.

> redisplay_internal 0
> 0x110d9a0 (cant-next-line.txt): same window start
> 0x110d9a0 (cant-next-line.txt): 1
> 0x110d9a0 (cant-next-line.txt): same window start
> 0x110d9a0 (cant-next-line.txt): 1
> redisplay_preserve_echo_area (8)
> redisplay_internal 0
> redisplay_internal 0
> 0x110d9a0 (cant-next-line.txt): cursor movement
> 0x110d9a0 (cant-next-line.txt): try_scrolling
> redisplay_internal 0
> 0x110d9a0 (cant-next-line.txt): forced window start
> redisplay_preserve_echo_area (7)
> redisplay_internal 0
> redisplay_internal 0
> 0x110d9a0 (cant-next-line.txt): forced window start
> redisplay_preserve_echo_area (7)
> redisplay_internal 0
> redisplay_internal 0
> 0x110d9a0 (cant-next-line.txt): forced window start
> redisplay_preserve_echo_area (7)
> redisplay_internal 0
> redisplay_internal 0
> 0x110d9a0 (cant-next-line.txt): forced window start
> redisplay_preserve_echo_area (7)
> redisplay_internal 0
> redisplay_preserve_echo_area (8)
> redisplay_internal 0
> redisplay_preserve_echo_area (8)
> redisplay_internal 0

I see nothing extraordinary here.